Bug 1277474 (nette/database) - Review Request: php-nette-database - Nette Database Component
Summary: Review Request: php-nette-database - Nette Database Component
Status: CLOSED ERRATA
Alias: nette/database
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Shawn Iwinski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On: nette/tester nette/utils nette/di nette/caching
Blocks: nette/bootstrap nette/nette
TreeView+ depends on / blocked
 
Reported: 2015-11-03 12:26 UTC by Remi Collet
Modified: 2015-12-29 03:53 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 15:21:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora-review+


Attachments (Terms of Use)
phpcompatinfo-full.log (19.15 KB, text/plain)
2015-12-01 21:47 UTC, Shawn Iwinski
no flags Details
phpcompatinfo-lib.log (17.88 KB, text/plain)
2015-12-01 21:47 UTC, Shawn Iwinski
no flags Details
fedora-review.txt (6.42 KB, text/plain)
2015-12-01 21:48 UTC, Shawn Iwinski
no flags Details

Description Remi Collet 2015-11-03 12:26:01 UTC
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/master/php/nette/php-nette-database/php-nette-database.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-nette-database-2.3.7-1.remi.src.rpm
Description: 
Nette provides a powerful layer for accessing your database easily.

- composes SQL queries with ease
- easily fetches data
- uses efficient queries and does not transmit unnecessary data

The Nette\Database\Connection class is a wrapper around the PDO
and represents a connection to the database. The core functionality
is provided by Nette\Database\Context. Nette\Database\Table layer
provides an enhanced layer for table querying.

To use this library, you just have to add, in your project:
  require_once '/usr/share/php/Nette/Database/autoload.php';
Fedora Account System Username: remi

Comment 1 Shawn Iwinski 2015-12-01 21:47 UTC
Created attachment 1101103 [details]
phpcompatinfo-full.log

phpCompatInfo version 4.5.1 DB built Oct 11 2015 19:52:03 CEST

Comment 2 Shawn Iwinski 2015-12-01 21:47 UTC
Created attachment 1101104 [details]
phpcompatinfo-lib.log

phpCompatInfo version 4.5.1 DB built Oct 11 2015 19:52:03 CEST

Comment 3 Shawn Iwinski 2015-12-01 21:48 UTC
Created attachment 1101105 [details]
fedora-review.txt

Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1277474
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 4 Shawn Iwinski 2015-12-01 21:48:22 UTC
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove EPEL 5 bits after initial import.



No blockers.

===== APPROVED =====

Comment 5 Remi Collet 2015-12-02 06:08:48 UTC
Thanks!

SCM request open on pkgdb.

Comment 6 Gwyn Ciesla 2015-12-02 14:23:18 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/php-nette-database

Comment 7 Fedora Update System 2015-12-02 15:53:35 UTC
php-nette-database-2.3.7-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-665336d022

Comment 8 Fedora Update System 2015-12-02 15:53:40 UTC
php-nette-database-2.3.7-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-44df261c98

Comment 9 Fedora Update System 2015-12-02 15:53:41 UTC
php-nette-database-2.3.7-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-03167b8e07

Comment 10 Fedora Update System 2015-12-03 04:19:54 UTC
php-nette-database-2.3.7-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update php-nette-database'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-6e042cb284

Comment 11 Fedora Update System 2015-12-03 16:01:23 UTC
php-nette-database-2.3.7-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update php-nette-database'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-03167b8e07

Comment 12 Fedora Update System 2015-12-03 17:19:12 UTC
php-nette-database-2.3.7-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update php-nette-database'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-44df261c98

Comment 13 Fedora Update System 2015-12-04 01:36:08 UTC
php-nette-database-2.3.7-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update php-nette-database'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-665336d022

Comment 14 Fedora Update System 2015-12-04 07:17:47 UTC
php-nette-database-2.3.8-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-6e042cb284

Comment 15 Fedora Update System 2015-12-04 07:17:57 UTC
php-nette-database-2.3.8-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-665336d022

Comment 16 Fedora Update System 2015-12-04 07:18:14 UTC
php-nette-database-2.3.8-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-03167b8e07

Comment 17 Fedora Update System 2015-12-04 07:18:36 UTC
php-nette-database-2.3.8-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-44df261c98

Comment 18 Fedora Update System 2015-12-04 16:51:27 UTC
php-nette-database-2.3.8-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update php-nette-database'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-665336d022

Comment 19 Fedora Update System 2015-12-04 17:20:45 UTC
php-nette-database-2.3.8-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update php-nette-database'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-03167b8e07

Comment 20 Fedora Update System 2015-12-05 20:50:02 UTC
php-nette-database-2.3.8-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update php-nette-database'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-44df261c98

Comment 21 Fedora Update System 2015-12-05 20:51:14 UTC
php-nette-database-2.3.8-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update php-nette-database'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-6e042cb284

Comment 22 Fedora Update System 2015-12-15 13:24:22 UTC
php-nette-database-2.3.8-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2015-12-15 15:21:11 UTC
php-nette-database-2.3.8-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2015-12-28 21:26:51 UTC
php-nette-database-2.3.8-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2015-12-29 03:53:54 UTC
php-nette-database-2.3.8-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.